package _VisualDVM.TestingSystem.SAPFOR.SapforSettings.UI;
import Common.Visual.TextField.StyledTextField;
import Common.Visual.Windows.Dialog.DialogFields;

import javax.swing.*;
import java.awt.*;
public class SapforSettingsFields implements DialogFields {
    public JTextField tfName;
    public JCheckBox cbFREE_FORM;
    public JCheckBox cbKEEP_SPF_DIRECTIVES;
    public JCheckBox cbSTATIC_SHADOW_ANALYSIS;
    public JCheckBox cbKEEP_DVM_DIRECTIVES;
    public JSlider sMAX_SHADOW_WIDTH;
    private JPanel content;
    @Override
    public Component getContent() {
        return content;
    }
    private void createUIComponents() {
        // TODO: place custom component creation code here
        tfName = new StyledTextField();
    }
}
